import os
from distribute_setup import use_setuptools
use_setuptools()

from setuptools import setup, find_packages

with open('README.txt') as readme_file:
    long_description = readme_file.read()


setup(name="azucar.buffer",
      version=1.0,
      description="Ionic strength calculator for solution buffers. Includes package and script.",
      long_description=long_description,
      author="Jorge Estrada",
      url="http://www.jorgeestrada.nom.es/projects.html#azucar-buffer",
      download_url="https://bitbucket.org/jorgeestrada/azucar.buffer/downloads/azucar.buffer-1.0.tar.gz",
      author_email="jorgesoft@jorgeestrada.nom.es",
      classifiers= [
        "Programming Language :: Python",
        "Development Status :: 4 - Beta",
        "License :: OSI Approved :: Apache Software License",
        "Intended Audience :: Science/Research",
        "Operating System :: POSIX :: Linux",
        "Topic :: Scientific/Engineering :: Chemistry",
        "Topic :: Software Development :: Libraries :: Python Modules",
        ],
      requires = ['numpy(>=1.6.2)', 'distribute'],
      package_dir = {'': 'source'},
      package_data = {'azucar.buffer': ['data/*.json']},
      namespace_packages=["azucar"],
      packages=["azucar", "azucar.buffer",],
      scripts=["scripts/ionic_strength.py"],
      )
